<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmCmdMgr5 Interface Members
See Also Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmCmdMgr5 Interface

The following tables list the members exposed by IEdmCmdMgr5.

# Public Methods

| Name | Description
--- | --- | ---
| AddCmd | Adds a toolbar button to the File Explorer Tools menu and a menu command to the right-click context-sensitive menu of SOLIDWORKS PDM Professional vault files and folders.
| AddHook | Adds a hook that makes SOLIDWORKS PDM Professional call this add-in's implementation of IEdmAddIn5::OnCmd whenever the specified events occur.
| AddToolbarImage | Registers an image with a toolbar button. NOTE: This method does not work in Windows Vista and later Windows operating systems.

Top

# See Also

####

IEdmCmdMgr5 Interface
EPDM.Interop.epdm Namespace
Creating Menu Commands (VB.NET)
Creating Add-in Hooks (VB.NET)